Mail archive
alpine-aports

[alpine-aports] [PATCH 3/6] testing/libndp: new aport

From: Stuart Cardall <developer_at_it-offshore.co.uk>
Date: Thu, 23 Apr 2015 17:13:34 +0000

Required by networkmanager

Library for Neighbor Discovery Protocol
http://libndp.org/
---
 testing/libndp/APKBUILD         | 55 +++++++++++++++++++++++++++++++++++++++++
 testing/libndp/fix-fd_set.patch | 10 ++++++++
 2 files changed, 65 insertions(+)
 create mode 100644 testing/libndp/APKBUILD
 create mode 100644 testing/libndp/fix-fd_set.patch
diff --git a/testing/libndp/APKBUILD b/testing/libndp/APKBUILD
new file mode 100644
index 0000000..556ffb4
--- /dev/null
+++ b/testing/libndp/APKBUILD
_at_@ -0,0 +1,55 @@
+# Contributor: Stuart Cardall <developer_at_it-offshore.co.uk>
+# Maintainer: Stuart Cardall <developer_at_it-offshore.co.uk>
+pkgname=libndp
+pkgver=1.4
+pkgrel=0
+pkgdesc="Library for IPv6 Neighbor Discovery Protocol"
+url="http://libndp.org"
+arch="all"
+license="GPL2.1"
+depends=""
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://libndp.org/files/$pkgname-$pkgver.tar.gz
+	fix-fd_set.patch
+	"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure \
+                --build=$CBUILD \
+                --host=$CHOST \
+                --prefix=/usr \
+                --sysconfdir=/etc \
+                --mandir=/usr/share/man \
+                --localstatedir=/var \
+                --disable-static \
+                --libexecdir=/usr/lib \
+                || return 1
+        make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="52c708d4b8729ae6e3781b3737a85e16  libndp-1.4.tar.gz
+7b1e885680e9677de2f25707850db7dd  fix-fd_set.patch"
+sha256sums="3a0be247ec024bd72fe5b40ea9491519c4023c7faf078311196fab817b2fd55f  libndp-1.4.tar.gz
+401a6d2601790f136e9c7b51b49003c3994df93136c6acdb289ce377d7068942  fix-fd_set.patch"
+sha512sums="a84d4d6672bf83bcf865eef8986e7bbcc49587686c5085a5ce5f346791223ede0e60db3b990055afc4f0005182aa1b5546c459306d2955f95d00ffb68bd58766  libndp-1.4.tar.gz
+291503b1a9b21ae3e75d0048fadaa0bace989c6091ddb7238ed7920d4daa968bbd66608432de341fa2cde33d440dcd1b679bc590c7b8d91a68363f5469abc92b  fix-fd_set.patch"
diff --git a/testing/libndp/fix-fd_set.patch b/testing/libndp/fix-fd_set.patch
new file mode 100644
index 0000000..7797418
--- /dev/null
+++ b/testing/libndp/fix-fd_set.patch
_at_@ -0,0 +1,10 @@
+--- libndp-1.4/utils/ndptool.c
++++ libndp-1.4/utils/ndptool.c.new
+_at_@ -22,6 +22,7 @@
+ #include <unistd.h>
+ #include <string.h>
+ #include <signal.h>
++#include <sys/select.h>
+ #include <sys/signalfd.h>
+ #include <getopt.h>
+ #include <net/if.h>
-- 
2.3.5
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu Apr 23 2015 - 17:13:34 GMT